×
Namespaces

Variants
Actions

Archived:Nokia N96 not supported by Qt (Known Issue)

From Nokia Developer Wiki
Jump to: navigation, search

Archived.pngArchived: This article is archived because it is not considered relevant for third-party developers creating commercial solutions today. If you think this article is still relevant, let us know by adding the template {{ReviewForRemovalFromArchive|user=~~~~|write your reason here}}.


Article Metadata
Tested with
Devices(s): Nokia N96, Nokia 6788, Nokia 6788i
Compatibility
Platform(s): S60 3rd Edition, FP2
Symbian
S60 3rd Edition FP2
Article
Keywords: n/a
Created: User:Kbwiki (10 May 2010)
Last edited: hamishwillee (19 Jun 2012)

Overview

The Nokia N96 and other Nokia devices based on the same hardware platform (like 6788 and 6788i in China market) are not supported by Qt.

Detailed description

Qt aims to support all Symbian/S60 devices based on S60 3rd Edition, Feature Pack 1 or later. However, Qt libraries are built for ARM version 6 architecture (armv6) on Symbian, while Nokia N96 (a 3rd Ed, FP2 device) only supports version 5 (armv5).

The sis package containing Qt binaries can be installed on the Nokia N96 successfully. However, Qt applications are terminated with KERN-EXEC 3 panic on startup.

Solution

No solution available.

This page was last modified on 19 June 2012, at 07:38.
78 page views in the last 30 days.
×